--- !ruby/object:RI::MethodDescription 
aliases: 
- !ruby/object:RI::AliasName 
  name: "~"
block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: To create a new parser that succeed only if self fails.
full_name: RParsec::Parser#not
is_singleton: false
name: not
params: (msg="
visibility: public
